- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 72f64908-0d05-4abc-b39b-71ccb8af5a83
    creation_time: 2023-02-17T12:12:22.540682Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-lit/cggmp2005.i
      input_file_hashes:
        c/loop-lit/cggmp2005.i: d9c82f96058e75055db08c6be05f7339c74a06f1004576b8854261e31deb5a7c
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-lit/cggmp2005.i
    file_hash: d9c82f96058e75055db08c6be05f7339c74a06f1004576b8854261e31deb5a7c
    line: 28
    column: 0
    function: main
  loop_invariant:
    string: j == 10- ( i-1 ) /2 && 6 <= j && j <= 10 && 1 <= i && i <= 9 && j%3 == i%3
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: c2c33c12-879a-48ef-babe-b30c33cf450a
    creation_time: 2023-02-17T12:12:22.540960Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-lit/cggmp2005.i
      input_file_hashes:
        c/loop-lit/cggmp2005.i: d9c82f96058e75055db08c6be05f7339c74a06f1004576b8854261e31deb5a7c
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-lit/cggmp2005.i
    file_hash: d9c82f96058e75055db08c6be05f7339c74a06f1004576b8854261e31deb5a7c
    line: 32
    column: 0
    function: main
  location_invariant:
    string: j == 6
    type: assertion
    format: C

